unit SComplete;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Setup;

type
  TStudentCompleteForm = class(TForm)
    GBResults: TGroupBox;
    Label1: TLabel;
    EActualBSize: TEdit;
    CBShowAlways: TCheckBox;
    CBActivateReport: TCheckBox;
    OkButton: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StudentCompleteForm: TStudentCompleteForm;

implementation

uses MainUnit, Plan;

{$R *.DFM}

procedure TStudentCompleteForm.FormShow(Sender: TObject);
begin
  CBShowAlways.Checked:=AppSetup.GeneralFlags.StudentResultsShow;
  CBActivateReport.Checked:=AppSetup.GeneralFlags.StudentActivateReport;
end;

procedure TStudentCompleteForm.FormHide(Sender: TObject);
begin
  AppSetup.GeneralFlags.StudentResultsShow:=CBShowAlways.Checked;
  AppSetup.GeneralFlags.StudentActivateReport:=CBActivateReport.Checked;
end;

end.
